<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: LatticeUnion Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>LatticeUnion Struct Reference</h1><!-- doxytag: class="LatticeUnion" -->
<p><code>#include &lt;<a class="el" href="types_8h_source.html">types.h</a>&gt;</code></p>

<p><a href="structLatticeUnion-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structmatrix.html">Lattice</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structLatticeUnion.html#ab9b004530ace366d12a2cf46e7a13175">M</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structLatticeUnion.html">LatticeUnion</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structLatticeUnion.html#ab21274825bf2e44967e1fcf6f42bcd88">next</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="types_8h_source.html#l00236">236</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ab9b004530ace366d12a2cf46e7a13175"></a><!-- doxytag: member="LatticeUnion::M" ref="ab9b004530ace366d12a2cf46e7a13175" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structmatrix.html">Lattice</a>* <a class="el" href="structLatticeUnion.html#ab9b004530ace366d12a2cf46e7a13175">LatticeUnion::M</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00237">237</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="Lattice_8c_source.html#l00928">AddLattice()</a>, <a class="el" href="Lattice_8c_source.html#l01549">AffinePartSimplify()</a>, <a class="el" href="Lattice_8c_source.html#l01506">AffinePartSort()</a>, <a class="el" href="Lattice_8c_source.html#l01530">AlmostSameAffinePart()</a>, <a class="el" href="Lattice_8c_source.html#l00814">LatticeDifference()</a>, <a class="el" href="Lattice_8c_source.html#l00060">LatticeUnion_Alloc()</a>, <a class="el" href="Lattice_8c_source.html#l00044">LatticeUnion_Free()</a>, <a class="el" href="Lattice_8c_source.html#l01452">LinearPartSort()</a>, <a class="el" href="Zpolytest_8c_source.html#l00029">main()</a>, <a class="el" href="Lattice_8c_source.html#l00032">PrintLatticeUnion()</a>, <a class="el" href="Lattice_8c_source.html#l01620">SameLinearPart()</a>, <a class="el" href="Lattice_8c_source.html#l01306">Simplify()</a>, <a class="el" href="Lattice_8c_source.html#l00901">SplitLattice()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00887">ZDomainSimplify()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00592">ZPolyhedronDifference()</a>.</p>

</div>
</div>
<a class="anchor" id="ab21274825bf2e44967e1fcf6f42bcd88"></a><!-- doxytag: member="LatticeUnion::next" ref="ab21274825bf2e44967e1fcf6f42bcd88" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structLatticeUnion.html">LatticeUnion</a>* <a class="el" href="structLatticeUnion.html#ab21274825bf2e44967e1fcf6f42bcd88">LatticeUnion::next</a><code> [read]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00238">238</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="Lattice_8c_source.html#l00928">AddLattice()</a>, <a class="el" href="Lattice_8c_source.html#l01549">AffinePartSimplify()</a>, <a class="el" href="Lattice_8c_source.html#l01506">AffinePartSort()</a>, <a class="el" href="Lattice_8c_source.html#l00814">LatticeDifference()</a>, <a class="el" href="Lattice_8c_source.html#l01636">LatticeSimplify()</a>, <a class="el" href="Lattice_8c_source.html#l00060">LatticeUnion_Alloc()</a>, <a class="el" href="Lattice_8c_source.html#l00044">LatticeUnion_Free()</a>, <a class="el" href="Lattice_8c_source.html#l01452">LinearPartSort()</a>, <a class="el" href="Zpolytest_8c_source.html#l00029">main()</a>, <a class="el" href="Lattice_8c_source.html#l00032">PrintLatticeUnion()</a>, <a class="el" href="Lattice_8c_source.html#l01306">Simplify()</a>, <a class="el" href="Lattice_8c_source.html#l00901">SplitLattice()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00971">SplitZpolyhedron()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00887">ZDomainSimplify()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00592">ZPolyhedronDifference()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="types_8h_source.html">types.h</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:27 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
